def is_owner(self, user_name, channel_name):
    if channel_name not in self.channels:
        return False
    if self.channels[channel_name].is_owner(user_name):
        return True
    return False

def atleast_admin(self, user_name, channel_name):
    if channel_name not in self.channels:
        return False
    if self.channels[channel_name].is_owner(user_name) or self.channels[channel_name].is_admin(user_name):
        return True
    return False

def atleast_oper(self, user_name, channel_name):
    if channel_name not in self.channels:
        return False
    if self.channels[channel_name].is_owner(user_name) or self.channels[channel_name].is_admin(user_name) or self.channels[channel_name].is_oper(user_name):
        return True
    else:
        return False

def atleast_halfop(self, user_name, channel_name):
    if channel_name not in self.channels:
        return False
    if self.channels[channel_name].is_owner(user_name) or self.channels[channel_name].is_admin(user_name) or self.channels[channel_name].is_oper(user_name) or self.channels[channel_name].is_halfop(user_name):
        return True
    else:
        return False

def atleast_voiced(self, user_name, channel_name):
    if channel_name not in self.channels:
        return False
    if self.channels[channel_name].is_owner(user_name) or self.channels[channel_name].is_admin(user_name) or self.channels[channel_name].is_oper(user_name) or self.channels[channel_name].is_halfop(user_name) or self.channels[channel_name].is_voiced(user_name):
        return True
    else:
        return False
